package com.ycwl.basic.service.pc;

import com.github.pagehelper.PageInfo;
import com.ycwl.basic.model.pc.source.entity.SourceEntity;
import com.ycwl.basic.model.pc.source.req.SourceReqQuery;
import com.ycwl.basic.model.pc.source.resp.SourceRespVO;
import com.ycwl.basic.utils.ApiResponse;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/12/3 15:47
 */
public interface SourceService {
    ApiResponse<PageInfo<SourceRespVO>> pageQuery(SourceReqQuery sourceReqQuery);
    ApiResponse<List<SourceRespVO>> list(SourceReqQuery sourceReqQuery);
    ApiResponse<SourceRespVO> getById(Long id, Long userId);
    ApiResponse<Integer> add(SourceEntity source);
    ApiResponse<Integer> deleteById(Long id);
    ApiResponse<Integer> update(SourceEntity source);

    ApiResponse cutVideo(Long id);
}
